<!-- search filter starts -->
<div class="row alert alert-light mx-4 mt-3">
  <!-- <div class="d-flex mt-1 mb-1 pt-1 pb-1 pl-0 ml-0 col-md-2">
    <img src="assets/images/novartis/search.svg" alt="Search" />
    <input placeholder="Search" type="text" #query [(ngModel)]="searchtxt"
      [ngClass]="query.value?'search':'emptySearch'" />
  </div> -->
  <div class="d-flex mt-1 mb-1 pt-1 pb-1 pl-2 border-left border-light col-md-10">
    <div class="row pl-4">
      <ejs-multiselect name="dataLayer" #dataLayer="ngModel" cssClass="e-outline mb-1" [dataSource]="businessLayerList"
        [fields]="businessLayerFields" [placeholder]="dataQualityContent?.dropDowns?.layer"
        (change)=businessLayerChange($event) [(ngModel)]="dataQualityDetails.layer_id" showSelectAll="true"
        selectAllText="Select All" filterBarPlaceholder="Search" mode="CheckBox" width="200px" class="mr-2" [showDropDownIcon]='true'>
      </ejs-multiselect>
      <ejs-multiselect name="object" #object="ngModel" cssClass="e-outline" [dataSource]="objectList"
        [fields]="objectFields" [(ngModel)]="dataQualityDetails.obj_id" (change)=objectChange($event)
        [placeholder]="dataQualityContent?.dropDowns?.object" showSelectAll="true" selectAllText="Select All" filterBarPlaceholder="Search"
        mode="CheckBox" width="200px" class="mr-2" [showDropDownIcon]='true'>
      </ejs-multiselect>
      <div *ngFor="let selectedAttribute of selectedAttributes; let i = index">
        <div class="d-flex" *ngIf="selectedAttribute.value === 'attr_id'">
          <ejs-multiselect name="attribute" #attribute="ngModel" cssClass="e-outline" [dataSource]="attributeOptions"
            [fields]="selectedAttribute.fields" [placeholder]="selectedAttribute.name"
            [(ngModel)]="dataQualityDetails.attr_id" showSelectAll="true" selectAllText="Select All" filterBarPlaceholder="Search" mode="CheckBox"
            (change)="colsSelected(selectedAttribute.value, $event)" width="200px" class="mr-2"
            [showDropDownIcon]='true'>
          </ejs-multiselect>
          <button class="btn pt-0 pl-0" aria-label="Delete selectedAttribute" #deleteButton aria-expanded="false"
            (click)="deleted(selectedAttribute)">
            <img src="assets/images/novartis/remove.svg" alt="Search" height="16px" />
          </button>
        </div>
        <div class="d-flex" *ngIf="selectedAttribute.value === 'mstr_rule_id'">
          <ejs-multiselect name="check" #check cssClass="e-outline" [dataSource]="ruleTypeOptions"
            [fields]="selectedAttribute.fields" [placeholder]="selectedAttribute.name"
            [(ngModel)]="dataQualityDetails.rule_id" showSelectAll="true" selectAllText="Select All" filterBarPlaceholder="Search" mode="CheckBox"
            (change)="colsSelected(selectedAttribute.value, $event)" width="200px" class="mr-2"
            [showDropDownIcon]='true'>
          </ejs-multiselect>
          <button class="btn pt-0 pl-0" aria-label="Delete selectedAttribute" #deleteButton aria-expanded="false"
            (click)="deleted(selectedAttribute)">
            <img src="assets/images/novartis/remove.svg" alt="Search" height="16px" />
          </button>
        </div>
        <div class="d-flex"
          *ngIf="selectedAttribute.value === 'is_rule_actv' || selectedAttribute.value === 'rule_svrt'">
          <ejs-multiselect name="cols" cssClass="e-outline" [dataSource]="selectedAttribute.dataSource"
            [fields]="selectedAttribute.fields" [placeholder]="selectedAttribute.name" showSelectAll="true"
            selectAllText="Select All" filterBarPlaceholder="Search" mode="CheckBox" (change)="colsSelected(selectedAttribute.value, $event)"
            width="200px" class="mr-2" [showDropDownIcon]='true'>
          </ejs-multiselect>
          <button class="btn pt-0 pl-0" aria-label="Delete selectedAttribute" #deleteButton aria-expanded="false"
            (click)="deleted(selectedAttribute)">
            <img src="assets/images/novartis/remove.svg" alt="Search" height="16px" />
          </button>
        </div>
      </div>
      <div class="dropdown mr-1">
        <button [disabled]="attributesForFilter.length === 0" class="iconTextButton btn btn-primary" aria-label="Add New Filter" #dropdownMenuButton
          data-toggle="dropdown" aria-expanded="false">
          <img src="assets/images/novartis/add.svg" alt="Add More Filter" /><span class="ml-1 mr-1">Add</span>
        </button>
        <button class="btn reset" aria-label="Reset Search" #dropdownMenuButton aria-expanded="false"
          (click)="clearFilter()"><span class="ml-1">Reset</span>
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
          <a class="dropdown-item" *ngFor="let item of attributesForFilter"
            (click)="attributeSelected(item)">{{item.name}}</a>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- search filter ends -->

<div class="mx-4 mt-3 s-tab">
  <!-- Render the Tab Component -->
  <ejs-tab id="secondary_tabs" #secondary_tabs heightAdjustMode="None" (selected)="select($event)"
    [animation]="tabAnimationSettings">
    <e-tabitems>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataQualityContent.tabOptions[0]}}</span>
          <span
            [ngClass]="activeTab===dataQualityContent.tabOptions[0]?'e-badge e-badge-primary e-badge-pill ml-2':'e-badge e-badge-secondary e-badge-pill ml-2'">
            {{resultsCountDV}}</span>
        </ng-template>
        <ng-template #content>
          <app-data-validation-list #dataValidationList [dataQualityDetails]="dataQualityDetails"
            (totalDVRulesCount)="updateDVRulesCount($event)" [active]="activeTab===dataQualityContent.tabOptions[0]"
            [searchtxt]="searchtxt" [layerToFilter]="layerToFilter" [objToFilter]="objToFilter"
            [attrToFilter]="attrToFilter" [ruleToFilter]="ruleToFilter" [statusToFilter]="statusToFilter"
            [severityToFilter]="severityToFilter">
          </app-data-validation-list>
        </ng-template>
      </e-tabitem>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataQualityContent.tabOptions[1]}}</span>
          <span
            [ngClass]="activeTab===dataQualityContent.tabOptions[1]?'e-badge e-badge-primary e-badge-pill ml-2':'e-badge e-badge-secondary e-badge-pill ml-2'">{{resultsCountDC}}</span>
        </ng-template>
        <ng-template #content>
          <app-data-control-list #dataControlList [dataQualityDetails]="dataQualityDetails"
            (totalDCRulesCount)="updateDCRulesCount($event)" [active]="activeTab===dataQualityContent.tabOptions[1]"
            [searchtxt]="searchtxt" [layerToFilter]="layerToFilter" [objToFilter]="objToFilter"
            [attrToFilter]="attrToFilter" [ruleToFilter]="ruleToFilter" [statusToFilter]="statusToFilter"
            [severityToFilter]="severityToFilter"></app-data-control-list>
        </ng-template>
      </e-tabitem>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataQualityContent.tabOptions[2]}}</span>
          <span
            [ngClass]="activeTab===dataQualityContent.tabOptions[2]?'e-badge e-badge-primary e-badge-pill ml-2':'e-badge e-badge-secondary e-badge-pill ml-2'">{{resultsCountRI}}</span>
        </ng-template>
        <ng-template #content>
          <app-referential-integrity-list #referentialIntegrityList [dataQualityDetails]="dataQualityDetails"
            (totalRIRulesCount)="updateRIRulesCount($event)" [active]="activeTab===dataQualityContent.tabOptions[2]"
            [searchtxt]="searchtxt" [layerToFilter]="layerToFilter" [objToFilter]="objToFilter"
            [attrToFilter]="attrToFilter" [ruleToFilter]="ruleToFilter" [statusToFilter]="statusToFilter"
            [severityToFilter]="severityToFilter">
          </app-referential-integrity-list>
        </ng-template>
      </e-tabitem>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataQualityContent.tabOptions[3]}}</span>
          <span
            [ngClass]="activeTab===dataQualityContent.tabOptions[3]?'e-badge e-badge-primary e-badge-pill ml-2':'e-badge e-badge-secondary e-badge-pill ml-2'">{{resultsCountTH}}</span>
        </ng-template>
        <ng-template #content>
          <app-threshold-validaton-list #thresholdValidationList [dataQualityDetails]="dataQualityDetails"
            (totalTHRulesCount)="updateTHRulesCount($event)" [active]="activeTab===dataQualityContent.tabOptions[3]"
            [searchtxt]="searchtxt" [layerToFilter]="layerToFilter" [objToFilter]="objToFilter"
            [ruleToFilter]="ruleToFilter" [statusToFilter]="statusToFilter" [severityToFilter]="severityToFilter">
          </app-threshold-validaton-list>
        </ng-template>
      </e-tabitem>
      <e-tabitem>
        <ng-template #headerText>
          <span>{{dataQualityContent.tabOptions[4]}}</span>
          <span
            [ngClass]="activeTab===dataQualityContent.tabOptions[4]?'e-badge e-badge-primary e-badge-pill ml-2':'e-badge e-badge-secondary e-badge-pill ml-2'">{{resultsCountKPI}}</span>
        </ng-template>
        <ng-template #content>
          <app-kpi-validation-list #kpiValidationList [dataQualityDetails]="dataQualityDetails"
            (totalKPIRulesCount)="updateKPIRulesCount($event)" [active]="activeTab===dataQualityContent.tabOptions[4]"
            [searchtxt]="searchtxt" [layerToFilter]="layerToFilter" [objToFilter]="objToFilter"
            [severityToFilter]="severityToFilter" [statusToFilter]="statusToFilter">
          </app-kpi-validation-list>
        </ng-template>
      </e-tabitem>
    </e-tabitems>
  </ejs-tab>
</div>